Arch SectionPlane/en: Difference between revisions

From FreeCAD Documentation
(Importing a new version from external source)
(Importing a new version from external source)
Line 35: Line 35:
==Properties==
==Properties==


* {{PropertyView|Display Size}}: The size of the section plane gizmo in the 3D view
* {{PropertyData|Only Solids}}: If this is True, non-solid objects in the set will be disregarded
* {{PropertyView|Display Length}}: The length of the section plane gizmo in the 3D view. Doesn't affect the resulting view
* {{PropertyView|Display Height}}: The height of the section plane gizmo in the 3D view. Doesn't affect the resulting view
* {{PropertyView|Arrow Size}}: The size of the arrows of the section plane gizmo in the 3D view. Doesn't affect the resulting view
* {{PropertyView|Cut View}}: If this is true, the whole 3D view will be cut at the location of this section plane (experimental).


==Scripting==
==Scripting==

Revision as of 19:33, 8 April 2017

Arch SectionPlane

Menu location
Arch -> Section Plane
Workbenches
Arch
Default shortcut
S P
Introduced in version
-
See also
None

Description

This tool places in the current Document a section plane gizmo, which defines a section or view plane. The gizmo take his placement according to the current Draft Working Plane and can be relocated and reoriented by moving and rotating it, until it describes the 2D view you want to obtain. The Section plane object will only consider objects that were selected when it got created. Objects can later be added or removed from a SectionPlane object with the Arch Add and Arch Remove tools.

The Section Plane alone won't create any view of its objects set. For that, you must either create a Drawing DraftView to create a view on a Drawing page, a Draft Shape2DView to create a view in the 3D document itself, or a TechDraw ArchView to create a view in a TechDraw page.

How to use

  1. Set the Draft Working Plane
  2. Select objects you want to be included in your section view
  3. Press the SectionPlane button or press S then P keys
  4. Move/rotate the Section Plane into correct position
  5. Press the Recompute button to update the view

Options

  • The Section plane object will only consider a certain set of objects, not all the objects of the document. Objects can be added or removed from a SectionPlane object by using the Arch Add and Arch Remove tools, or by double-clicking the Section Plane in the tree view, selecting objects either in the list of in the 3D scene, and pressing the add or remove buttons.
  • With a section plane object selected, use the Draft Shape2DView tool to create a shape object representing the section view in the document

  • Create additional views of a section plane by selecting it, then using the Draft Drawing tool

  • The Section Plane can also be used to show the entire 3D view cut by an infinite plane. This is only visual, and won't affect the geometry of the objects being cut.

Properties

  • DataOnly Solids: If this is True, non-solid objects in the set will be disregarded
  • ViewDisplay Length: The length of the section plane gizmo in the 3D view. Doesn't affect the resulting view
  • ViewDisplay Height: The height of the section plane gizmo in the 3D view. Doesn't affect the resulting view
  • ViewArrow Size: The size of the arrows of the section plane gizmo in the 3D view. Doesn't affect the resulting view
  • ViewCut View: If this is true, the whole 3D view will be cut at the location of this section plane (experimental).

Scripting

The Section Plane tool can by used in macros and from the python console by using the following function:

makeSectionPlane ([objectslist])
Creates a Section plane objects including the given objects.

Example:

import FreeCAD, Draft, Arch
trace = Draft.makeLine(FreeCAD.Vector (0, 0, 0),FreeCAD.Vector (2, 2, 0))
wall = Arch.makeWall(trace,width=0.1,height=1,align="Center")
Arch.makeSectionPlane([wall])